import { Component, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-quick-design-entry',
  templateUrl: './quick-design-entry.html',
  styleUrls: ['./quick-design-entry.scss']
})
export class QuickDesignEntry {
  @Output() designClick = new EventEmitter<void>();
  
  startDesign() {
    console.log('开始设计流程');
    this.designClick.emit(); // 发射点击事件
  }
}
